

CREATE TABLE `{{prefix}}admin` (
  `id` int(11) NOT NULL auto_increment,
  `email` varchar(255) NOT NULL default '0',
  `username` varchar(255) default NULL,
  `password` varchar(40) default NULL,
  `language` int(11) NOT NULL default '0',
  `sitename` varchar(255) NOT NULL default '',
  `ignoredomains` text NOT NULL,
  `ignoremyvisits` tinyint(1) NOT NULL default '0',
  `rowsperpage` int(2) NOT NULL default '30',
  `ctime` varchar(14) default NULL,
  `mtime` timestamp(14) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM PACK_KEYS=0;


CREATE TABLE `{{prefix}}settingsupdate` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `data` longtext,
  `datareferrers` longtext NOT NULL,
  `datasearches` longtext NOT NULL,
  `lastupdate` varchar(14) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM PACK_KEYS=0;



CREATE TABLE `{{prefix}}visits` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `ctime` varchar(16) default NULL,
  `ip` varchar(15) NOT NULL default '',
  `fromreferer` varchar(255) NOT NULL default '',
  `fromdomain` varchar(255) NOT NULL default '',
  `page` varchar(255) NOT NULL default '',
  `page_title` varchar(255) NOT NULL default '',
  `searchterms` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `dt` (`ctime`)
) TYPE=MyISAM PACK_KEYS=0;

INSERT INTO `{{prefix}}settingsupdate` (`id`) VALUES (1);


ALTER TABLE `{{prefix}}visits` ADD `OSName` VARCHAR( 20 ) NOT NULL AFTER `page_title` ,
ADD `BrowserName` VARCHAR( 25 ) NOT NULL AFTER `OSName` ,
ADD `ScreenSize` VARCHAR( 15 ) NOT NULL AFTER `BrowserName` ,
ADD `Colours` VARCHAR( 15 ) NOT NULL AFTER `ScreenSize` ;

ALTER TABLE `{{prefix}}admin` ADD `ignoresubdomenins` TINYINT( 1 ) NOT NULL AFTER `ignoremyvisits` ;

ALTER TABLE `{{prefix}}settingsupdate` ADD `sistem` LONGTEXT NOT NULL AFTER `datasearches` ;